Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface AttributeDefOperations

All Superinterfaces:
  ContainedOperations, IRObjectOperations

All Known Subinterfaces:
  AttributeDef

All Known Implementing Classes:
  AttributeDefPOA

public interface AttributeDefOperations
extends ContainedOperations

An AttributeDef represents the information that defines an attribute of an interface.

Method Summary
`AttributeMode` | `mode()` The mode attribute specifies read only or read/write access for this attribute.
`void` | `mode(AttributeMode value)` The mode attribute specifies read only or read/write access for this attribute.
`IDLType` | `type_def()` The type_def attribute identifies the object defining the type of this attribute.
`void` | `type_def(IDLType value)` The type_def attribute identifies the object defining the type of this attribute.
`TypeCode` | `type()` The type attribute provides the TypeCode describing the type of this attribute.

Methods inherited from interface org.omg.CORBA.ContainedOperations
`absolute_name, containing_repository, defined_in, describe, id, id, move, name, name, version, version`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Method Detail

### type

    public TypeCode type()

  The type attribute provides the TypeCode describing the type of this attribute.

### type_def

    public IDLType type_def()

  The type_def attribute identifies the object defining the type of this attribute.

### type_def

    public void type_def(IDLType value)

  The type_def attribute identifies the object defining the type of this attribute.

### mode

    public AttributeMode mode()

  The mode attribute specifies read only or read/write access for this attribute.

### mode

    public void mode(AttributeMode value)

  The mode attribute specifies read only or read/write access for this attribute.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD